## e2fsprogs 1.45.5

=== debian/changelog ===
e2fsprogs (1.45.5-2ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read/write vulnerability
    Issue leads to segmentation fault and possibly arbitrary code
    execution via a specially crafted filesystem.
    - debian/patches/CVE-2022-1304.patch: checks that all leaf nodes of
      file system contain at least one extent.
    - CVE-2022-1304

 -- Mark Esler <mark.esler@canonical.com>  Wed, 01 Jun 2022 19:59:32 -0500

e2fsprogs (1.45.5-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.
  * Dropped changes, included upstream:
    - debian/patches/CVE-2019-5188-*.patch:  abort if there is a corrupted
      directory block when rehashing and don't try to rehash a deleted directory
      in e2fsck/rehash.c, e2fsck/pass1b.c.
    - debian/patches/CVE-2019-5094.patch: add checks to prevent
      buffer overrun in quota code in lib/support/quotaio_tree.c,
      lib/support/quotaio_v2.c, lib/support/mkquota.c.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 22:08:18 -0800

e2fsprogs (1.45.5-2) unstable; urgency=medium

  * Fix com_err support on Hurd, which has POSIX E* error code starting at
    0x40000000.  Otherwise the regression tests will fail since the
    expected output for various error cases will not have the correct
    error text.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 08 Jan 2020 15:58:44 -0500

e2fsprogs (1.45.5-1) unstable; urgency=medium

  * New upstream feature
  * E2fsck will no longer force a full file system check if time-based
    forced checks are disabled and the last mount time or last write time in
    the superblock are in the future.
  * Fix spurious weekly e-mails when e2scrub_all is run via a cron job
    on non-systemd systems.  (Closes: #944033)
  * Remove an unnecessary sleep in e2scrub which could add up to an
    additional two second delay during the boot up.  Also, avoid
    trying to reap aborted snapshots if it has been disabled via
    e2scrub.conf.  (Closes: #948193)
  * Resize2fs -M's estimates are now more accurate on mounted file systems.
  * Tune2fs prohibits enabling or disabling the uninit_bg feature on
    mounted file systems, since this is unsafe.
  * Fix support of 32-bit uid's and gid's in fuse2fs and in mke2fs -d.
  * Fix mke2fs's setting bad blocks to bigalloc file systems.
  * Fix a bug where fuse2fs would incorrectly report the i_blocks fields for
    bigalloc file systems.
  * Fix potential crash in e2fsck when rebuilding very large directories on
    file systems which have the new large_dir feature enable.
  * Fix FTBFS problem hurd/i386. (Closes: #944649)
  * Fix CVE-2019-5188: potential a out of bounds write in mutate_name()
    when checking a maliciously corrupted file systems
  * Add autopkgtest tests smoke and fuse2fs
  * Updated and clarified various man pages
  * Update the debhelper compatibility level to 12
  * Update the Chinese and Malay translations
  * Update the Debian policy compliance to 4.4.1

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 07 Jan 2020 09:18:39 -0500

e2fsprogs (1.45.4-1) unstable; urgency=medium

  * New upstream feature
  * Fix CVE-2019-5094: A maliciously corrupted file systems can trigger
    buffer overruns in the quota code used by e2fsck.
  * E2fsck will now check to make sure the casefold flag is only set on
    directories, and only when the casefold feature is enabled.
  * E2fsck will not disable the low dtime checks when using a backup
    superblock where the last mount time is zero to fix a failure in
    xfstests ext4/007
  * Fix e2fsck so that when it needs to recreate the root directory, the
    quota counts are correctly updated
  * Update the man pages to document the new fsverity feature, and improve
    the documentation for the casefold and encrypt features
  * Allow e2scrub_all to work when the VG free space is exactly the
    snapshot size (Closes: #935009)
  * Avoid spurious lvm warnings when e2scrub_all is run out of cron on
    non-systemd systems (Closes: #940240)
  * Update the Dutch, German, Malay, Spanish, and Vietnamese translations

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 23 Sep 2019 15:31:27 -0400

e2fsprogs (1.45.3-4ubuntu3) focal; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2019-5188-*.patch:  abort if there is a corrupted
      directory block when rehashing and don't try to rehash a deleted directory
      in e2fsck/rehash.c, e2fsck/pass1b.c.
    - CVE-2019-5188

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 22 Jan 2020 12:01:15 -0300
