## e2fsprogs 1.45.6

=== debian/changelog ===
e2fsprogs (1.45.6-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 14:47:58 -0700

e2fsprogs (1.45.6-1) unstable; urgency=medium

  * New upstream release
  * Fixed a number of potential out of bounds memory accesses caused by
    fuzzed / malicious file systems.
  * Fix a spurious complaint from e2fsck when a directory which previously
    had more than 32000 subdirectories has the number of subdirectories
    drops below 32000.
  * Improve e2fsck's ability to deal with file systems with a *very* large
    number of directories.
  * Debugfs will ignore lines in its command files which start with a
    comment character ("#").
  * Fix debugfs so it correctly prints inode numbers > 2**31.
  * Filefrag now supports very large files (with > 4 billion blocks), as
    well as block sizes up to 1 GiB.
  * Mke2fs -d now correctly sets permission with files where the owner
    permissions are not rwx.
  * Updated and clarified various man pages
    (Closes: #953493, #953494, #951808)
  * Drop as unneeded libattr1-dev as a build dependency (Closes: #953926)
  * Update the Malay translation from the translation project.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 20 Mar 2020 23:49:33 -0400
