## e2fsprogs 1.46.3

=== debian/changelog ===
e2fsprogs (1.46.3-1ubuntu3) impish; urgency=medium

  * Restore mke2fs capability to create files adding patch

    - mke2fs: fix creating a file system image w/o a pre-existing file

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 30 Aug 2021 17:58:29 +0200

e2fsprogs (1.46.3-1ubuntu2) impish; urgency=medium

  * Fix failing tests on bigendian system (LP: #1939409)
    using upstream patches queued for 1.46.4:

    - e2fsck: fix f_baddotdir failure on big-endian systems
    - libext2fs: fix translation of Posix ACL's on big-endian systems

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 11 Aug 2021 19:04:33 +0200

e2fsprogs (1.46.3-1ubuntu1) impish; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 10 Aug 2021 10:07:26 +0200

e2fsprogs (1.46.3-1) experimental; urgency=medium

  * New upstream release
  * Fix resize2fs bug when performing an off-line file system expansion
    with MMP and there isn't sufficient reserved block group descriptor
    blocks could lead to file system corruption.  (Closes: #984472)
  * Teach the filefrag program the -V option, which will print the version
    of the tool, or if -V option is specified twice, will print the list
    of supported FIEMAP flags.
  * Fix fast_commit portability problems on sparc64 and arm64
    architectures (the latter when running e2fsprogs compiled for arm32).
    (Closes: #987641)
  * Fix missing mutex unlock in an error path in the Unix I/O manager.
  * Fix Direct I/O support in the Unix I/O manager (this was a regression
    introduced in v1.46.2).
  * Fix mke2fs to avoid discarding blocks beyond the end of the file
    system to be created when creating a file system which is smaller than
    16MB and the file system size was explicitly specified and smaller
    than the size of the block device.  (Closes: #989630)
  * Teach mke2fs to avoid giving a spurious warning about a pre-existing
    partition table and it is creating a file system at a non-zero offset
    (so the partition table wouldn't be overwritten in any case).
    (Closes: #989612)
  * Fix e2image -Q to prevent a multiplcation overflow could corrupt
    the generated QCOW2 output file for very large file systems.
  * When e2fsck repairs '.' and '..' entries in corrupted directories, set
    the file type in the directory entry to be EXT2_FT_DIR and do not
    leave the file type as EXT2_FT_UNKNOWN.
  * Fix e2fsck so that the if the s_interval is zero, and the last mount
    or write time is in the future, it will fix invalid last mount/write
    timestamps in the superblock.  (This was a regression introduced in
    v1.45.5.)
  * Fix lsattr and chattr to avoid opening or calling EXT2_IOC_[GS]ETFLAGS
    on devices, since this can cause some devices to react badly as a
    result.  (Thix fixes a regression introduced in v1.46.2.)
    (Closes: #986332)
  * Fix potential memory leaks and seg faults when memory allocations fail.
  * Fix various compiler and valgrind warnings
  * Updated and clarified the e2image and filefrag man pages.
  * Update Dutch, Malay, and Serbian translations.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 27 Jul 2021 11:04:05 -0400

e2fsprogs (1.46.2-1ubuntu2) impish; urgency=medium

  * Apply upstream fix for unaligned memory access.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 13:20:34 +0200

e2fsprogs (1.46.2-1ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 May 2021 14:31:18 +0200
