=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
  of the output will also be written to standard output.
 
 Package: e2fsck-static
+Build-Profiles: <!pkg.e2fsprogs.no-static>
 Priority: optional
 Depends: ${misc:Depends}
 Recommends: sash | bash-static | zsh-static | busybox-static
@@ -62,15 +63,6 @@
  .
  This package provides translations for messages for programs found in
  the 'e2fsprogs' package.
-
-Package: libcomerr2
-Depends: libcom-err2, ${misc:Depends}
-Architecture: any
-Multi-Arch: same
-Priority: optional
-Section: oldlibs
-Description: transitional package to libcom-err2
- This is a transitional package to libcom-err2. It can safely be removed.
 
 Package: libcom-err2
 Section: libs
@@ -133,6 +125,7 @@
  This package contains the development environment for the ss library.
 
 Package: e2fsprogs-udeb
+Build-Profiles: <!noudeb>
 Package-Type: udeb
 Section: debian-installer
 Priority: optional
@@ -144,23 +137,6 @@
  .
  Don't attempt to install this package, it has no support for a couple of
  features you surely want.  Anyway it should refuse to install.
-
-Package: e2fslibs
-Depends: libext2fs2, ${misc:Depends}
-Architecture: any
-Multi-Arch: same
-Priority: optional
-Section: oldlibs
-Description: transitional package to libext2fs2
- This is a transitional package to libext2fs2. It can safely be removed.
-
-Package: e2fslibs-dev
-Depends: libext2fs-dev, ${misc:Depends}
-Architecture: all
-Priority: optional
-Section: oldlibs
-Description: transitional package to libext2fs-dev
- This is a transitional package to libext2fs-dev. It can safely be removed.
 
 Package: libext2fs2
 Section: libs
